[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# CustomApplication

Global application instance

## Declaration

Source position: custapp.pp line 84

`var CustomApplication: TCustomApplication = nil;`

## Description

CustomApplication contains the global application instance. All descendents of TCustomApplication should, in addition to storing an instance pointer in some variable (most likely called "Application") store the instance pointer in this variable. This ensures that, whatever kind of application is being created, user code can access the application object.

## See also

TCustomApplication |  | Ancestor class for TApplication classes.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .